package com.muyu.common.caffeine.bean;


import org.springframework.cache.support.SimpleCacheManager;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;


/**
 * @Author: 胡杨
 * @Name: CaffeineCacheConfig
 * @Description: Caffeine管理器
 * @CreatedDate: 2024/9/26 上午11:52
 * @FilePath: com.muyu.common.caffeine.config
 */
@Component
public class CaffeineManagerBean {

    /**
     * 创建缓存管理器
     * @return  缓存管理器实例
     */
    @Bean
    public SimpleCacheManager simpleCacheManager() {
        return new SimpleCacheManager();
    }



}
