package com.muyu.data.processing.domain;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 报文信息 时序实体类
 *
 * @Author: 胡杨
 * @Name: DataProcessing
 * @Description: 报文信息 时序实体类
 * @CreatedDate: 2024/9/28 下午3:48
 * @FilePath: com.muyu.data.processing.domain
 */

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class IotDbData extends BaseEntity {
    private long timestamp;

    private String vin;

    private String key;
    private String label;
    private String value;
    private String type;


}

