package com.muyu.data.processing.mapper;

import com.muyu.data.processing.domain.IotDbData;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 数据处理持久层
 *
 * @Author: 胡杨
 * @Name: DataPeocessingMapper
 * @Description: 数据处理持久层
 * @CreatedDate: 2024/9/28 下午3:47
 * @FilePath: com.muyu.data.processing.mapper
 */

@Repository
@Mapper
public interface DataProcessingMapper{

    Integer createCarData(IotDbData data);

    Integer updateCarData(IotDbData data);

    Integer deleteCarData(String timestamp);

    Integer createCarDataGroup();

    Integer createCarDataGroupElement();

//    List<DataProcessing> queryCarData();

    List<String> selectStorageGroup();

}
