package com.muyu.data.processing;

import com.muyu.common.kafka.constants.KafkaConstants;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * @Author: 胡杨
 * @Name: MyData
 * @Description: 数据处理模块启动器
 * @CreatedDate: 2024/9/26 下午7:31
 * @FilePath: com.muyu.data.processing
 */


@SpringBootApplication
public class MyDataApplication {
    public static void main(String[] args) {
        SpringApplication.run(MyDataApplication.class, args);

        System.out.println("MyData 模块启动成功!");
    }

}
